Index: bin/dxsupport.cfg
===================================================================
--- bin/dxsupport.cfg	(revision 25)
+++ bin/dxsupport.cfg	(revision 26)
@@ -7107,7 +7174,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"743"
+	"752"
 	{
 		"name" "NVIDIA GeForce 9200"
 		"vendorid"	"0x10de"
@@ -7118,7 +7185,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"744"
+	"753"
 	{
 		"name" "NVIDIA GeForce 9100M"
 		"vendorid"	"0x10de"
@@ -7129,7 +7196,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"745"
+	"754"
 	{
 		"name" "NVIDIA GeForce 8200M"
 		"vendorid"	"0x10de"
@@ -7141,7 +7208,7 @@
 		"m_ndriverversion_vista_buildlow"	"6658"
 		"setting.laptop"	"1"
 	}
-	"746"
+	"755"
 	{
 		"name" "NVIDIA GeForce 9400M"
 		"vendorid"	"0x10de"
@@ -7152,7 +7219,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"747"
+	"756"
 	{
 		"name" "NVIDIA GeForce 9200"
 		"vendorid"	"0x10de"
@@ -7163,7 +7230,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"748"
+	"757"
 	{
 		"name" "NVIDIA GeForce G102M"
 		"vendorid"	"0x10de"
@@ -7174,7 +7241,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"749"
+	"758"
 	{
 		"name" "NVIDIA ION"
 		"vendorid"	"0x10de"
@@ -7185,7 +7252,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"750"
+	"759"
 	{
 		"name" "NVIDIA ION"
 		"vendorid"	"0x10de"
@@ -7196,7 +7263,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"751"
+	"760"
 	{
 		"name" "NVIDIA Quadro FX 470"
 		"vendorid"	"0x10de"
@@ -7207,7 +7274,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"752"
+	"761"
 	{
 		"name" "NVIDIA ION"
 		"vendorid"	"0x10de"
@@ -7218,7 +7285,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"753"
+	"762"
 	{
 		"name" "NVIDIA GeForce 320M"
 		"vendorid"	"0x10de"
@@ -7229,7 +7296,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"754"
+	"763"
 	{
 		"name" "NVIDIA GeForce GT 220"
 		"vendorid"	"0x10de"
@@ -7240,14 +7307,18 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"755"
+	"764"
 	{
 		"name" "NVIDIA GeForce GT 330M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0a21"
 		"maxdeviceid"	"0x0a21"
+		"m_ndriverversion_buildhigh"	"12"
+		"m_ndriverversion_buildlow"	"6658"
+		"m_ndriverversion_vista_buildhigh"	"12"
+		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"756"
+	"765"
 	{
 		"name" "NVIDIA GeForce 315"
 		"vendorid"	"0x10de"
@@ -7258,7 +7329,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"757"
+	"766"
 	{
 		"name" "NVIDIA GeForce 210"
 		"vendorid"	"0x10de"
@@ -7269,7 +7340,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"758"
+	"767"
 	{
 		"name" "NVIDIA GeForce GT 230M"
 		"vendorid"	"0x10de"
@@ -7280,7 +7351,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"759"
+	"768"
 	{
 		"name" "NVIDIA GeForce GT 330M"
 		"vendorid"	"0x10de"
@@ -7291,7 +7362,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"760"
+	"769"
 	{
 		"name" "NVIDIA GeForce GT 230M"
 		"vendorid"	"0x10de"
@@ -7302,7 +7373,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"761"
+	"770"
 	{
 		"name" "NVIDIA GeForce GT 330M"
 		"vendorid"	"0x10de"
@@ -7313,7 +7384,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"762"
+	"771"
 	{
 		"name" "NVIDIA NVS 5100M"
 		"vendorid"	"0x10de"
@@ -7324,7 +7395,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"763"
+	"772"
 	{
 		"name" "NVIDIA GeForce GT 320M"
 		"vendorid"	"0x10de"
@@ -7335,7 +7406,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"764"
+	"773"
 	{
 		"name" "NVIDIA GeForce GT 240M"
 		"vendorid"	"0x10de"
@@ -7346,7 +7417,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"765"
+	"774"
 	{
 		"name" "NVIDIA GeForce GT 325M"
 		"vendorid"	"0x10de"
@@ -7357,7 +7428,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"766"
+	"775"
 	{
 		"name" "NVIDIA Quadro FX 880M"
 		"vendorid"	"0x10de"
@@ -7368,7 +7439,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"767"
+	"776"
 	{
 		"name" "NVIDIA GeForce G210"
 		"vendorid"	"0x10de"
@@ -7379,7 +7450,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"768"
+	"777"
 	{
 		"name" "NVIDIA GeForce 205"
 		"vendorid"	"0x10de"
@@ -7390,7 +7461,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"769"
+	"778"
 	{
 		"name" "NVIDIA GeForce 310"
 		"vendorid"	"0x10de"
@@ -7401,7 +7472,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"770"
+	"779"
 	{
 		"name" "NVIDIA ION"
 		"vendorid"	"0x10de"
@@ -7412,7 +7483,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"771"
+	"780"
 	{
 		"name" "NVIDIA GeForce 210"
 		"vendorid"	"0x10de"
@@ -7423,7 +7494,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"772"
+	"781"
 	{
 		"name" "NVIDIA GeForce 310"
 		"vendorid"	"0x10de"
@@ -7434,7 +7505,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"773"
+	"782"
 	{
 		"name" "NVIDIA GeForce 315"
 		"vendorid"	"0x10de"
@@ -7445,7 +7516,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"774"
+	"783"
 	{
 		"name" "NVIDIA GeForce G105M"
 		"vendorid"	"0x10de"
@@ -7456,7 +7527,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"775"
+	"784"
 	{
 		"name" "NVIDIA NVS 2100M"
 		"vendorid"	"0x10de"
@@ -7467,7 +7538,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"776"
+	"785"
 	{
 		"name" "NVIDIA NVS 3100M"
 		"vendorid"	"0x10de"
@@ -7478,8 +7549,19 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"777"
+	"786"
 	{
+		"name" "NVIDIA ION"
+		"vendorid"	"0x10de"
+		"mindeviceid"	"0x0a6f"
+		"maxdeviceid"	"0x0a6f"
+		"m_ndriverversion_buildhigh"	"12"
+		"m_ndriverversion_buildlow"	"6658"
+		"m_ndriverversion_vista_buildhigh"	"12"
+		"m_ndriverversion_vista_buildlow"	"6658"
+	}
+	"787"
+	{
 		"name" "NVIDIA GeForce 310M"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0a70"
@@ -7489,7 +7571,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"778"
+	"788"
 	{
 		"name" "NVIDIA GeForce 310M"
 		"vendorid"	"0x10de"
@@ -7500,7 +7582,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"779"
+	"789"
 	{
 		"name" "NVIDIA GeForce G210M"
 		"vendorid"	"0x10de"
@@ -7511,7 +7593,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"780"
+	"790"
 	{
 		"name" "NVIDIA GeForce 310M"
 		"vendorid"	"0x10de"
@@ -7522,7 +7604,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"781"
+	"791"
 	{
 		"name" "NVIDIA ION"
 		"vendorid"	"0x10de"
@@ -7533,7 +7615,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"782"
+	"792"
 	{
 		"name" "NVIDIA Quadro FX 380 LP"
 		"vendorid"	"0x10de"
@@ -7544,7 +7626,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"783"
+	"793"
 	{
 		"name" "NVIDIA Quadro FX 380M"
 		"vendorid"	"0x10de"
@@ -7555,7 +7637,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"784"
+	"794"
 	{
 		"name" "NVIDIA GeForce GT 330"
 		"vendorid"	"0x10de"
@@ -7566,7 +7648,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"785"
+	"795"
 	{
 		"name" "NVIDIA GeForce GT 320"
 		"vendorid"	"0x10de"
@@ -7577,7 +7659,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"786"
+	"796"
 	{
 		"name" "NVIDIA GeForce GT 240"
 		"vendorid"	"0x10de"
@@ -7588,7 +7670,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"787"
+	"797"
 	{
 		"name" "NVIDIA GeForce GT 340"
 		"vendorid"	"0x10de"
@@ -7599,7 +7681,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"788"
+	"798"
 	{
 		"name" "NVIDIA GeForce GT 220"
 		"vendorid"	"0x10de"
@@ -7610,7 +7692,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"789"
+	"799"
 	{
 		"name" "NVIDIA GeForce GT 330"
 		"vendorid"	"0x10de"
@@ -7621,7 +7703,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"790"
+	"800"
 	{
 		"name" "NVIDIA GeForce GTS 250M"
 		"vendorid"	"0x10de"
@@ -7632,7 +7714,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"791"
+	"801"
 	{
 		"name" "NVIDIA GeForce GT 335M"
 		"vendorid"	"0x10de"
@@ -7643,7 +7725,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"792"
+	"802"
 	{
 		"name" "NVIDIA GeForce GTS 350M"
 		"vendorid"	"0x10de"
@@ -7654,7 +7736,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"793"
+	"803"
 	{
 		"name" "NVIDIA GeForce GTS 360M"
 		"vendorid"	"0x10de"
@@ -7665,7 +7747,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"794"
+	"804"
 	{
 		"name" "NVIDIA Quadro FX 1800M"
 		"vendorid"	"0x10de"
@@ -7676,7 +7758,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"795"
+	"805"
 	{
 		"name" "NVIDIA GeForce GT 440"
 		"vendorid"	"0x10de"
@@ -7687,29 +7769,29 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"796"
+	"806"
 	{
 		"name" "NVIDIA GeForce GTS 450"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0dc4"
-		"maxdeviceid"	"0x0dc4"
+		"maxdeviceid"	"0x0dc6"
 		"m_ndriverversion_buildhigh"	"12"
 		"m_ndriverversion_buildlow"	"6658"
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"797"
+	"807"
 	{
-		"name" "NVIDIA GeForce GTS 450"
+		"name" "NVIDIA GeForce GT 555M"
 		"vendorid"	"0x10de"
-		"mindeviceid"	"0x0dc6"
-		"maxdeviceid"	"0x0dc6"
+		"mindeviceid"	"0x0dce"
+		"maxdeviceid"	"0x0dce"
 		"m_ndriverversion_buildhigh"	"12"
 		"m_ndriverversion_buildlow"	"6658"
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"798"
+	"808"
 	{
 		"name" "NVIDIA GeForce GTX 460M"
 		"vendorid"	"0x10de"
@@ -7720,7 +7802,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"799"
+	"809"
 	{
 		"name" "NVIDIA GeForce GT 445M"
 		"vendorid"	"0x10de"
@@ -7731,7 +7813,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"800"
+	"810"
 	{
 		"name" "NVIDIA Quadro 2000"
 		"vendorid"	"0x10de"
@@ -7742,7 +7824,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"801"
+	"811"
 	{
 		"name" "NVIDIA GeForce GT 440"
 		"vendorid"	"0x10de"
@@ -7753,7 +7835,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"802"
+	"812"
 	{
 		"name" "NVIDIA GeForce GT 430"
 		"vendorid"	"0x10de"
@@ -7764,7 +7846,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"803"
+	"813"
 	{
 		"name" "NVIDIA GeForce GT 425M"
 		"vendorid"	"0x10de"
@@ -7775,7 +7857,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"804"
+	"814"
 	{
 		"name" "NVIDIA GeForce GT 420M"
 		"vendorid"	"0x10de"
@@ -7786,7 +7868,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"805"
+	"815"
 	{
 		"name" "NVIDIA GeForce GT 435M"
 		"vendorid"	"0x10de"
@@ -7797,7 +7879,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"806"
+	"816"
 	{
 		"name" "NVIDIA GeForce GT 540M"
 		"vendorid"	"0x10de"
@@ -7808,8 +7890,19 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"807"
+	"817"
 	{
+		"name" "NVIDIA GeForce GT 550M"
+		"vendorid"	"0x10de"
+		"mindeviceid"	"0x0df6"
+		"maxdeviceid"	"0x0df6"
+		"m_ndriverversion_buildhigh"	"12"
+		"m_ndriverversion_buildlow"	"6658"
+		"m_ndriverversion_vista_buildhigh"	"12"
+		"m_ndriverversion_vista_buildlow"	"6658"
+	}
+	"818"
+	{
 		"name" "NVIDIA Quadro 600"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x0df8"
@@ -7819,7 +7912,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"808"
+	"819"
 	{
 		"name" "NVIDIA GeForce GTX 460"
 		"vendorid"	"0x10de"
@@ -7830,7 +7923,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"809"
+	"820"
 	{
 		"name" "NVIDIA GeForce GTX 470M"
 		"vendorid"	"0x10de"
@@ -7841,7 +7934,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"810"
+	"821"
 	{
 		"name" "NVIDIA GeForce GTX 485M"
 		"vendorid"	"0x10de"
@@ -7852,8 +7945,19 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"811"
+	"822"
 	{
+		"name" "NVIDIA GeForce GT 520"
+		"vendorid"	"0x10de"
+		"mindeviceid"	"0x1040"
+		"maxdeviceid"	"0x1040"
+		"m_ndriverversion_buildhigh"	"12"
+		"m_ndriverversion_buildlow"	"6658"
+		"m_ndriverversion_vista_buildhigh"	"12"
+		"m_ndriverversion_vista_buildlow"	"6658"
+	}
+	"823"
+	{
 		"name" "NVIDIA GeForce GTX 580"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x1080"
@@ -7863,7 +7967,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"812"
+	"824"
 	{
 		"name" "NVIDIA GeForce GTX 570"
 		"vendorid"	"0x10de"
@@ -7874,7 +7978,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"813"
+	"825"
 	{
 		"name" "NVIDIA GeForce GTX 570"
 		"vendorid"	"0x10de"
@@ -7885,7 +7989,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"814"
+	"826"
 	{
 		"name" "NVIDIA GeForce GTX 590"
 		"vendorid"	"0x10de"
@@ -7896,7 +8000,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"815"
+	"827"
 	{
 		"name" "NVIDIA GeForce 8400"
 		"vendorid"	"0x10de"
@@ -7907,7 +8011,7 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"816"
+	"828"
 	{
 		"name" "NVIDIA GeForce 8600"
 		"vendorid"	"0x10de"
@@ -7918,18 +8022,18 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"817"
+	"829"
 	{
 		"name" "NVIDIA GeForce GTX 560"
 		"vendorid"	"0x10de"
 		"mindeviceid"	"0x1200"
-		"maxdeviceid"	"0x1200"
+		"maxdeviceid"	"0x1201"
 		"m_ndriverversion_buildhigh"	"12"
 		"m_ndriverversion_buildlow"	"6658"
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"818"
+	"830"
 	{
 		"name" "NVIDIA GeForce GTX 550"
 		"vendorid"	"0x10de"
@@ -7940,8 +8044,15 @@
 		"m_ndriverversion_vista_buildhigh"	"12"
 		"m_ndriverversion_vista_buildlow"	"6658"
 	}
-	"820"
+	"831"
 	{
+		"name" "NVIDIA GeForce GTS 450"
+		"vendorid"	"0x10de"
+		"mindeviceid"	"0x1245"
+		"maxdeviceid"	"0x1245"
+	}
+	"833"
+	{
 		"name" "Intel HD Graphics"
 		"vendorid"	"0x8086"
 		"mindeviceid"	"0x0042"
@@ -7950,7 +8061,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"821"
+	"834"
 	{
 		"name" "Intel HD Graphics"
 		"vendorid"	"0x8086"
@@ -7960,7 +8071,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"822"
+	"835"
 	{
 		"name" "Intel HD Graphics 2000 (DT Sandy Bridge GT1)"
 		"vendorid"	"0x8086"
@@ -7970,7 +8081,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"823"
+	"836"
 	{
 		"name" "Intel HD Graphics 2000 (Mobile Sandy Bridge GT1)"
 		"vendorid"	"0x8086"
@@ -7980,7 +8091,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"824"
+	"837"
 	{
 		"name" "Intel HD Graphics 2000 (Sandy Bridge Server)"
 		"vendorid"	"0x8086"
@@ -7990,7 +8101,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"825"
+	"838"
 	{
 		"name" "Intel HD Graphics 3000 (DT Sandy Bridge GT2)"
 		"vendorid"	"0x8086"
@@ -8000,7 +8111,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"826"
+	"839"
 	{
 		"name" "Intel HD Graphics 3000 (Mobile Sandy Bridge GT2)"
 		"vendorid"	"0x8086"
@@ -8010,7 +8121,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"827"
+	"840"
 	{
 		"name" "Intel HD Graphics 3000 (DT Sandy Bridge GT2+)"
 		"vendorid"	"0x8086"
@@ -8020,7 +8131,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"828"
+	"841"
 	{
 		"name" "Intel HD Graphics 3000 (Mobile Sandy Bridge GT2+)"
 		"vendorid"	"0x8086"
@@ -8030,7 +8141,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"829"
+	"842"
 	{
 		"name" "Intel 815"
 		"vendorid"	"0x8086"
@@ -8040,7 +8151,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"830"
+	"843"
 	{
 		"name" "Intel 845"
 		"vendorid"	"0x8086"
@@ -8050,7 +8161,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"831"
+	"844"
 	{
 		"name" "Intel Graphics Media Accelerator 900"
 		"vendorid"	"0x8086"
@@ -8060,7 +8171,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"832"
+	"845"
 	{
 		"name" "Intel Graphics Media Accelerator 900"
 		"vendorid"	"0x8086"
@@ -8070,7 +8181,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"833"
+	"846"
 	{
 		"name" "Intel Graphics Media Accelerator 950"
 		"vendorid"	"0x8086"
@@ -8080,7 +8191,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"834"
+	"847"
 	{
 		"name" "Intel Graphics Media Accelerator 950"
 		"vendorid"	"0x8086"
@@ -8090,7 +8201,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"835"
+	"848"
 	{
 		"name" "Intel Graphics Media Accelerator 900"
 		"vendorid"	"0x8086"
@@ -8100,7 +8211,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"836"
+	"849"
 	{
 		"name" "Intel Graphics Media Accelerator 900"
 		"vendorid"	"0x8086"
@@ -8110,7 +8221,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"837"
+	"850"
 	{
 		"name" "Intel Graphics Media Accelerator 950"
 		"vendorid"	"0x8086"
@@ -8120,7 +8231,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"838"
+	"851"
 	{
 		"name" "Intel Graphics Media Accelerator 950"
 		"vendorid"	"0x8086"
@@ -8130,7 +8241,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"839"
+	"852"
 	{
 		"name" "Mobile Intel 945 Express"
 		"vendorid"	"0x8086"
@@ -8140,7 +8251,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"840"
+	"853"
 	{
 		"name" "Intel Graphics Media Accelerator 3000"
 		"vendorid"	"0x8086"
@@ -8150,7 +8261,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"841"
+	"854"
 	{
 		"name" "Intel Graphics Media Accelerator X3500"
 		"vendorid"	"0x8086"
@@ -8160,7 +8271,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"842"
+	"855"
 	{
 		"name" "Intel Graphics Media Accelerator 3000"
 		"vendorid"	"0x8086"
@@ -8170,7 +8281,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"843"
+	"856"
 	{
 		"name" "Intel Graphics Media Accelerator X3000"
 		"vendorid"	"0x8086"
@@ -8180,7 +8291,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"844"
+	"857"
 	{
 		"name" "Intel Graphics Media Accelerator 3100"
 		"vendorid"	"0x8086"
@@ -8190,7 +8301,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"845"
+	"858"
 	{
 		"name" "Intel Graphics Media Accelerator 3100"
 		"vendorid"	"0x8086"
@@ -8200,7 +8311,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"846"
+	"859"
 	{
 		"name" "Intel Graphics Media Accelerator 3100"
 		"vendorid"	"0x8086"
@@ -8210,7 +8321,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"847"
+	"860"
 	{
 		"name" "Intel Graphics Media Accelerator X3100"
 		"vendorid"	"0x8086"
@@ -8220,7 +8331,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"848"
+	"861"
 	{
 		"name" "Intel Graphics Media Accelerator X3100"
 		"vendorid"	"0x8086"
@@ -8230,7 +8341,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"849"
+	"862"
 	{
 		"name" "Mobile Intel Graphics Media Accelerator 4500HD"
 		"vendorid"	"0x8086"
@@ -8240,7 +8351,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"850"
+	"863"
 	{
 		"name" "Intel Graphics Media Accelerator X4500HD"
 		"vendorid"	"0x8086"
@@ -8250,7 +8361,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"851"
+	"864"
 	{
 		"name" "Intel Graphics Media Accelerator 4500"
 		"vendorid"	"0x8086"
@@ -8260,7 +8371,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"852"
+	"865"
 	{
 		"name" "Intel Graphics Media Accelerator X4500"
 		"vendorid"	"0x8086"
@@ -8270,7 +8381,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"853"
+	"866"
 	{
 		"name" "Intel Graphics Media Accelerator 4500"
 		"vendorid"	"0x8086"
@@ -8280,7 +8391,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"854"
+	"867"
 	{
 		"name" "Intel Graphics Media Accelerator 4500"
 		"vendorid"	"0x8086"
@@ -8290,7 +8401,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"855"
+	"868"
 	{
 		"name" "Intel Graphics Media Accelerator 4500"
 		"vendorid"	"0x8086"
@@ -8300,7 +8411,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"856"
+	"869"
 	{
 		"name" "Intel 830M"
 		"vendorid"	"0x8086"
@@ -8310,7 +8421,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"857"
+	"870"
 	{
 		"name" "Intel 852/855"
 		"vendorid"	"0x8086"
@@ -8320,7 +8431,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"858"
+	"871"
 	{
 		"name" "Intel 810"
 		"vendorid"	"0x8086"
@@ -8330,7 +8441,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"859"
+	"872"
 	{
 		"name" "Intel 810"
 		"vendorid"	"0x8086"
@@ -8340,7 +8451,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"860"
+	"873"
 	{
 		"name" "Intel 810"
 		"vendorid"	"0x8086"
@@ -8350,7 +8461,7 @@
 		"setting.maxdxlevel"	"92"
 		"setting.dxlevel"	"92"
 	}
-	"861"
+	"874"
 	{
 		"name" "Intel 810e Chipset Graphics"
 		"vendorid"	"0x8086"
@@ -8369,7 +8480,7 @@
 		"makemelast"	"1"
 		"setting.centroidhack"	"1"
 	}
-	"396"
+	"404"
 	{
 		"name" "NVidia Unknown"
 		"vendorid"	"0x10de"
@@ -8383,7 +8494,7 @@
 		"setting.preferzprepass"	"1"
 		"setting.prefertexturesinhwmemory"	"0"
 	}
-	"819"
+	"832"
 	{
 		"name" "Intel Unknown"
 		"vendorid"	"0x8086"
